# build the game for distribution

from distutils.core import setup
import py2exe, sys, os

project_name = "pycaster"       #name for exe
project_script = "pycaster.py"  #name of base .PY
icon_file = ""                  #a .ICO file for the .EXE
optimize = 2                    #0, 1, or 2; like -O and -OO
dos_console = 0                 #set to 1 to run in a DOS box

#these pygame modules must be manually added
#you could remove the "music" line if not using it
pygame_modules = [
                  'pygame.surflock',
                  'pygame.rwobject',
                  'pygame.imageext', 
                 ]

#create the proper commandline args
args = ['py2exe', '--force', '-O'+`optimize`]
args.append(dos_console and '--console' or '--windows')
if icon_file:
    args.append('--icon '+icon_file)
args.append('--force-imports')
args.append(','.join(pygame_modules))
sys.argv[1:] = args + sys.argv[1:]

#this will create the executable and all dependencies
setup(name=project_name, scripts=[project_script])
